Skip to main content

SyncRemoteTables

Update the data tables associated with your workspace by syncing the latest tables from a remote virtual data source and associating them with the specified workspace.

Debug

You can run this API directly in OpenAPI Explorer, saving you from computing signatures. After the call succeeds, OpenAPI Explorer can automatically generate SDK code examples. Debug

Authorization information

The following table describes the authorization information of this API. You can use it in the Action element of RAM policy statements to grant RAM users or RAM roles the permission to call this API. Details are as follows:
  • Operation: the specific permission point.
  • Access level: the access level of each operation. Valid values: Write, Read, and List.
  • Resource type: the resource types that support authorization in the operation. Details are as follows:
    • Required resource types are marked with an asterisk (*) before them.
    • For operations that do not support resource-level authorization, All Resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Related operation: other permissions required to successfully perform the operation. The caller must have the permissions of related operations at the same time for the operation to succeed.
OperationAccess levelResource typeCondition keyRelated operation
dataanalysisgbi:SyncRemoteTablesnone
*All resources
*
    None
None

Request syntax

POST /gbi/update/datasource/tables HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample value
workspaceIdstringYes

The ID of the Alibaba Cloud Model Studio workspace used for the current request

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters

tableNamesarrayYes

List of names of the data tables to associate

TableNamestringNo

The name of the data table

user
pullSamplesbooleanNo

Specifies whether to pull sample data when associating data tables

true
keepTableNamesarrayNo

List of names of the data tables for which the "Keep and Add" operation is performed during association.

Note Keep and Add: For tables with "Keep and Add" enabled, Xiyan retains information about associated columns and adds information about unassociated columns.
KeepTableNamestringNo

The name of the data table

order
noModifiedTableNamesarrayNo

List of names of the data tables for which "Keep and Skip" is performed during association.

Note Keep and Skip: For tables with "Keep and Skip" enabled, Xiyan retains all information about associated columns and does not add any information about unassociated columns.
stringNo

The name of the data table

user

Response elements

NameTypeDescriptionExample value
object

Result

dataany

Response data

true
errorMsgstring

The error message

NoAuth
codestring

The error code

NoAuth
successboolean

true if the API call succeeded. false if it failed

true
requestIdstring

The unique ID of the request. The value is unique for each request and helps you troubleshoot issues.

E9563C85-5810-5835-B68C-78580BC3169E

Examples

Success response JSON format
{
  "data": true,
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "E9563C85-5810-5835-B68C-78580BC3169E"
}

Error codes

HTTP status codeError codeError messageDescription
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified business space.
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
Visit the Error Center to view more error codes.